/// <reference types="node" />
import { type ParsedPath } from 'path';
export interface LayerInfo {
    name: string;
    path: string;
    priority: number;
}
export interface PathInfo extends ParsedPath {
}
export interface ElementInfo {
    name: string;
    extraInfo?: string;
    path?: PathInfo;
    layerInfo?: LayerInfo;
    appends?: PathInfo[];
    overlayes?: PathInfo[];
    version?: string;
}
export interface DevtoolWorkspaceInfo {
    name: string;
    path: string;
}
export interface BitbakeScanResult {
    _layers: LayerInfo[];
    _classes: ElementInfo[];
    _includes: ElementInfo[];
    _recipes: ElementInfo[];
    _overrides: string[];
    _confFiles: ElementInfo[];
    _workspaces: DevtoolWorkspaceInfo[];
}
export declare function scanContainsData(scanResult: BitbakeScanResult): boolean;
export declare function scanContainsRecipes(scanResult: BitbakeScanResult): boolean;
export declare function pathInfoToString(pathInfo: PathInfo): string;
