import { type Range, type Position } from 'vscode';
import { type EmbeddedLanguageType } from './embedded-languages';
export declare enum RequestType {
    EmbeddedLanguageTypeOnPosition = "EmbeddedLanguageTypeOnPosition",
    getLinksInDocument = "getLinksInDocument",
    ProcessRecipeScanResults = "ProcessRecipeScanResults"
}
export declare const RequestMethod: Record<RequestType, string>;
export interface RequestParams {
    [RequestType.EmbeddedLanguageTypeOnPosition]: {
        uriString: string;
        position: Position;
    };
    [RequestType.getLinksInDocument]: {
        documentUri: string;
    };
    [RequestType.ProcessRecipeScanResults]: {
        scanResults: string;
        uri: any;
        chosenRecipe: string;
    };
}
export interface RequestResult {
    [RequestType.EmbeddedLanguageTypeOnPosition]: Promise<EmbeddedLanguageType | undefined | null>;
    [RequestType.getLinksInDocument]: Promise<Array<{
        value: string;
        range: Range;
    }>>;
    [RequestType.ProcessRecipeScanResults]: Record<string, unknown> | undefined;
}
