"use strict";
/* --------------------------------------------------------------------------------------------
 * Copyright (c) 2023 Savoir-faire Linux. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractRecipeName = exports.bitbakeFileExtensions = void 0;
const path_1 = __importDefault(require("path"));
exports.bitbakeFileExtensions = ['.bb', '.bbappend', '.bbclass', '.conf', '.inc'];
function extractRecipeName(filePath) {
    // Ex: gst1.0-plugins-bad_1.18.4.bb -> gst1.0-plugins-bad
    const baseName = path_1.default.parse(filePath).base;
    const stringRegex = '(' + exports.bitbakeFileExtensions.map(ext => `\\${ext}`).join('|') + ')$';
    const fileName = baseName.replace(new RegExp(stringRegex, 'g'), '');
    const recipeName = fileName.split('_')[0];
    return recipeName;
}
exports.extractRecipeName = extractRecipeName;
//# sourceMappingURL=files.js.map